Subject: Re: bug#14599: An option to make vector allocation aligned

From: [email-masked] (Ludovic Courtès)
Date: Fri, 14 Jun 2013 14:21:38 +0200

Jan Schukat <[email-masked]> skribis:

>  The more I think about it and hear what you have to say, the more I
> think alignment just needs to be tied to the type of the uniform
> array.

I think it would be wrong.  An array of floats is an array of floats,
regardless of its alignment.

> Also, now I lean more towards switching to 2.2 for myself and
> implement it on there, because as Ludovic said, the compiling will
> possibly preserve alignment there better.

Well yeah, though you’d still need to come up with an annotation for
that, and I’m not enthusiastic about changing the read syntax for that
purpose.

Now, I think the compiler should support a generic annotation mechanism,
to allow users to specify various things (like ‘declare’ in some
implementations.)  That could be one possible use.

Ludo’.